MolDescriptors.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Descriptors/Crippen.h>`
`#include <GraphMol/Descriptors/MolSurf.h>`
`#include <GraphMol/Descriptors/Lipinski.h>`
`#include <GraphMol/Descriptors/ConnectivityDescriptors.h>`
`#include <GraphMol/Descriptors/MQN.h>`
`#include <GraphMol/Descriptors/AUTOCORR2D.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::Descriptors

## Functions

RDKIT_DESCRIPTORS_EXPORT double | RDKit::Descriptors::calcAMW (const ROMol &mol, bool onlyHeavy=false)
RDKIT_DESCRIPTORS_EXPORT unsigned int | RDKit::Descriptors::calcNumHeavyAtoms (const ROMol &mol)
RDKIT_DESCRIPTORS_EXPORT unsigned int | RDKit::Descriptors::calcNumAtoms (const ROMol &mol)
RDKIT_DESCRIPTORS_EXPORT double | RDKit::Descriptors::calcExactMW (const ROMol &mol, bool onlyHeavy=false)
RDKIT_DESCRIPTORS_EXPORT std::string | RDKit::Descriptors::calcMolFormula (const ROMol &mol, bool separateIsotopes=false, bool abbreviateHIsotopes=true)

## Variables

RDKIT_DESCRIPTORS_EXPORT const std::string | RDKit::Descriptors::amwVersion
RDKIT_DESCRIPTORS_EXPORT const std::string | RDKit::Descriptors::NumHeavyAtomsVersion
RDKIT_DESCRIPTORS_EXPORT const std::string | RDKit::Descriptors::NumAtomsVersion
RDKIT_DESCRIPTORS_EXPORT const std::string | RDKit::Descriptors::exactmwVersion